package com.palmnest.dao.estateserve;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.EnterpriseInfo;
import com.palmnest.model.User;
import com.palmnest.model.repair.RepairBill;

public interface EnterpriseDao extends GenericDao<EnterpriseInfo, Integer> {

	public Page getEnterpriseListByStatus(int status, int pageSize, int pageNo) throws Exception;

	public Page getEnterListByStatus(String floorId, String roomId, String virName, int pageSize, int pageNo) throws Exception;

	public List<RepairBill> getRepaiBillByCodes(String codes) throws Exception;

	public Page getEnterListByUser(String virName, int userId, String floorIds, int pageSize, int pageNo, int state, int isHisList, int havePower) throws Exception;

	public String isHavePower(String userId, int sysCode) throws Exception;

	public Page getEnterHisListByUser(String virName, int status, int userId, String floorIds, int pageSize, int pageNo, int state) throws Exception;

	public List<Map<String, Object>> getPower(String floors, int sysCode) throws Exception;

	public List<Map<String, Object>> getPower(int sysCode) throws Exception;

	public List<Map<String, Object>> getPowerFloor(int userId, int sysCode) throws Exception;

	public List<EnterpriseInfo> getEnterInfoList(int userId, int type, String port, String orgId) throws Exception;

	public List<Map<String, Object>> getRepairNumberList(String repairNumbers) throws Exception;

	public List<EnterpriseInfo> getEnterListByBand() throws Exception;

	public List<EnterpriseInfo> getEnterListByVirId(String virId) throws Exception;

	public Page getEnterList(String virName, String type, int pageSize, int pageNo, int isHisList, String orgId) throws Exception;

	public EnterpriseInfo getEnterpriseDetail(Integer id);

	public List<Map<String, Object>> getFileList(String type, String orgId, String fileIds);

	public Page getEnterList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public List<Map<String, Object>> getPowerByOrg(int orgId, int sysCode) throws Exception;

	public List<EnterpriseInfo> getUnhandleOrder(int virId);

	public Integer getEnterprisePendingNum(int state, String orgIds);
}
